<%- include('partials/header.ejs') %>

<!-- content start -->
<div class="main">
    <div class="d-flex head">
        <h2 class="heading">Languages :-</h2>
        <button
            type="button"
            class="btn btn-info ml-auto"
            data-toggle="modal"
            data-target="#addnewSlider"
        >
            Add New
        </button>
    </div>
    <div class="content">
        <table
            id="example"
            class="table table-striped table-bordered add-button"
            style="width: 100%"
        >
            <thead>
                <tr>
                    <th class="text-center">Name</th>
                    <th class="text-center">Created at</th>
                    <th class="text-center">Delete</th>
                </tr>
            </thead>
            <tbody>
                <% if(!sliders[0]) { %>
                <tr>
                    <td colspan="100%" class="text-center">No Data</td>
                </tr>
                <% } else {%> <% sliders.forEach(function(slider){ %>
                <tr>
                    <td class="text-center"><%= slider.name %></td>
                    <td class="text-center"><%= slider.created_at %></td>
                    <td class="text-center" style="width: 12px">
                        <i
                            class="material-icons table-icon btn delete-icon"
                            onclick="deleteslider('<%= slider._id %>');"
                            >delete</i
                        >
                    </td>
                </tr>
                <% }); %> <% } %>
            </tbody>
            <tfoot></tfoot>
        </table>
    </div>
    <div>
        <!-- Add User Modal -->
        <div class="modal fade" id="addnewSlider">
            <div class="modal-dialog">
                <div class="modal-content">
                    <!-- Modal Header -->
                    <div class="modal-header">
                        <h4 class="modal-title">Add New Language</h4>
                        <button
                            type="button"
                            class="close"
                            data-dismiss="modal"
                        >
                            &times;
                        </button>
                    </div>

                    <!-- Modal body -->
                    <div class="modal-body">
                        <form id="addnewslider" class="mx-5">
                            <div class="mb-3">
                                <label>Name: </label>
                                <input
                                    type="text"
                                    class="form-control"
                                    id="name"
                                    name="name"
                                    placeholder="Name"
                                />
                            </div>
                            <div class="mb-3">
                                <label>Description: </label>
                                <textarea
                                    class="form-control"
                                    id="description"
                                    name="description"
                                    placeholder="Description"
                                ></textarea>
                            </div>
                            <button
                                type="submit"
                                class="btn btn-info mt-3 pull-right"
                            >
                                Add
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>

        <%- include ('partials/footer.ejs') %>

        <script>
            activeSideBar("sliders");

            $(document).ready(function () {
                $("#example").DataTable();
            });

            var addform = $("#addnewslider");
            addform.on("submit", addslidersubmitHandler);

            function addslidersubmitHandler(e) {
                if ($("#name").val() == "") {
                    alert("Name is required");
                    return false;
                }
                
                let data = {
                    name : $("#name").val(),
                    description : $("#description").val(),
                }
                
                // DO POST
                $.ajax({
                    type: "POST",
                    contentType: "application/json",
                    url: "add",
                    data: JSON.stringify(data)
                })
                    .done((res) => {
                        Snackbar.show({
                            text: res,
                            pos: "bottom-right",
                            customClass: "snackbar-custom-s",
                            showAction: false,
                        });
                        location.reload();
                    })
                    .fail(function (xhr, status, error) {
                        Snackbar.show({
                            text: xhr.responseText,
                            pos: "bottom-right",
                            customClass: "snackbar-custom-d",
                            showAction: false,
                        });
                    });
            }

            function deleteslider(id) {
                if (confirm("Do you really want to delete this record")) {
                    // DO POST
                    $.ajax({
                        type: "POST",
                        contentType: "application/json",
                        url: "delete",
                        data: JSON.stringify({
                            id: id,
                        }),
                    })
                        .done((res) => {
                            Snackbar.show({
                                text: res,
                                pos: "bottom-right",
                                customClass: "snackbar-custom-s",
                                showAction: false,
                            });
                            location.reload();
                        })
                        .fail(function (xhr, status, error) {
                            Snackbar.show({
                                text: xhr.responseText,
                                pos: "bottom-right",
                                customClass: "snackbar-custom-d",
                                showAction: false,
                            });
                        });
                }
            }
        </script>
    </div>
</div>
